'  FF_REMOVE
'  返回一个字符串的副本，字符串的字符或字符串被删除
'  If MatchPattern is not present in MainString, all of MainString is returned intact.
'  The replacement can cause MainString to grow or condense in size. 
'  This function is case-sensitive. 
'  Function FF_Remove( ByRef sMainString   as String, _
'                      ByRef sMatchPattern as String _
'                      ) as String
''
''  FF_REMOVE
''  Return a copy of a string with characters or strings removed
''
''  If MatchPattern is not present in MainString, all of MainString is returned intact.
''  The replacement can cause MainString to grow or condense in size. 
''  This function is case-sensitive. 
''
Function FF_Remove( ByRef sMainString   as String, _
                    ByRef sMatchPattern as String _
                    ) as String

    Dim i as Integer 
    Dim s as String 
   
    If Len(sMainString) = 0 Then Return sMainString

    s = sMainString
    Do
        i = InStr(s, sMatchPattern)
        If i > 0 Then 
           s = Left(s, i - 1) & Mid(s, i + Len(sMatchPattern))
        End If   
    Loop Until i = 0
   
    Return s

End Function

